Workflows
Automated document processing pipelines
List workflows
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Query Parameters
statusstringsearchstringpageintegerper_pageintegerWorkflow list
Create a workflow
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Request Body
application/jsonRequirednameRequiredstringdescriptionstringnodesarray<object>edgesarray<object>settingsobjectvariablesobjectWorkflow created
Get workflow details
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Path Parameters
idRequiredstringWorkflow details
Delete a workflow
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Path Parameters
idRequiredstringWorkflow deleted
Update a workflow
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Request Body
application/jsonOptionalnamestringdescriptionstringnodesarray<object>edgesarray<object>Path Parameters
idRequiredstringWorkflow updated
Trigger a workflow run
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Request Body
application/jsonOptionalmodestring"execute" | "dry_run"inputobjectvariablesobjectPath Parameters
idRequiredstringWorkflow run started
List all workflow runs
Authorization
AuthorizationRequiredBearer <token>Use a JWT access token or API key. Include as: Authorization: Bearer <token>
In: header
Query Parameters
statusstringpageintegerper_pageintegerWorkflow runs